{ pkgs, config, lib, ... }:

let
  cfg = config.ptw.programs.bluray;
in {
  options.ptw.programs.bluray = {
    enable = lib.mkEnableOption "Enable bluray playback and decoding. Will rebuild a lot of packages";
  };

  config = lib.mkIf cfg.enable {
    nixpkgs.config.overlays = [
      (import ../../../overlays/bluray.nix)
    ];
  };
}
